# Class ConnectionSettings

java.lang.Object
org.a11y.brlapi.Component
org.a11y.brlapi.NativeComponent
org.a11y.brlapi.ConnectionSettings

public class ConnectionSettings extends NativeComponent

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`AUTHENTICATION_KEYFILE_DIRECTORY`
`static final String`
`AUTHENTICATION_KEYFILE_NAME`
`static final char`
`AUTHENTICATION_OPERAND_PREFIX`
`static final String`
`AUTHENTICATION_SCHEME_KEYFILE`
`static final String`
`AUTHENTICATION_SCHEME_NONE`
`static final char`
`AUTHENTICATION_SCHEME_SEPARATOR`
`static final String`
`DEFAULT_AUTHENTICATION_SCHEME`
`static final String`
`DEFAULT_HOST_NAME`
`static final int`
`DEFAULT_PORT_NUMBER`
`static final String`
`DEFAULT_SERVER_HOST`
`static final char`
`HOST_PORT_SEPARATOR`
`static final int`
`MAXIMUM_PORT_NUMBER`
`static final int`
`MINIMUM_PORT_NUMBER`

### Fields inherited from class Component

`BYTE_MASK, UNICODE_BRAILLE_ROW`

## Constructor Summary

Constructors
Constructor
Description
`ConnectionSettings()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`checkAuthenticationScheme(String scheme)`
`static void`
`checkHostSpecification(String specification)`
`final String`
`getAuthenticationScheme()`
`final String`
`getServerHost()`
`final ConnectionSettings`
`setAuthenticationScheme(String scheme)`
`final ConnectionSettings`
`setServerHost(String specification)`
`String`
`toString()`

### Methods inherited from class Component

`getObjectName, getObjectName, printf, toOperandName, toUnicodeBraille, toUnicodeBraille`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### HOST_PORT_SEPARATOR

public static final char HOST_PORT_SEPARATOR

See Also:
  - Constant Field Values

### DEFAULT_HOST_NAME

public static final String DEFAULT_HOST_NAME

See Also:
  - Constant Field Values

### MINIMUM_PORT_NUMBER

public static final int MINIMUM_PORT_NUMBER

See Also:
  - Constant Field Values

### MAXIMUM_PORT_NUMBER

public static final int MAXIMUM_PORT_NUMBER

See Also:
  - Constant Field Values

### DEFAULT_PORT_NUMBER

public static final int DEFAULT_PORT_NUMBER

See Also:
  - Constant Field Values

### DEFAULT_SERVER_HOST

public static final String DEFAULT_SERVER_HOST

See Also:
  - Constant Field Values

### AUTHENTICATION_SCHEME_SEPARATOR

public static final char AUTHENTICATION_SCHEME_SEPARATOR

See Also:
  - Constant Field Values

### AUTHENTICATION_OPERAND_PREFIX

public static final char AUTHENTICATION_OPERAND_PREFIX

See Also:
  - Constant Field Values

### AUTHENTICATION_SCHEME_KEYFILE

public static final String AUTHENTICATION_SCHEME_KEYFILE

See Also:
  - Constant Field Values

### AUTHENTICATION_SCHEME_NONE

public static final String AUTHENTICATION_SCHEME_NONE

See Also:
  - Constant Field Values

### AUTHENTICATION_KEYFILE_DIRECTORY

public static final String AUTHENTICATION_KEYFILE_DIRECTORY

### AUTHENTICATION_KEYFILE_NAME

public static final String AUTHENTICATION_KEYFILE_NAME

### DEFAULT_AUTHENTICATION_SCHEME

public static final String DEFAULT_AUTHENTICATION_SCHEME

## Constructor Details

### ConnectionSettings

public ConnectionSettings()

## Method Details

### checkHostSpecification

public static void checkHostSpecification(String specification)

### setServerHost

public final ConnectionSettings setServerHost(String specification)

### getServerHost

public final String getServerHost()

### checkAuthenticationScheme

public static void checkAuthenticationScheme(String scheme)

### setAuthenticationScheme

public final ConnectionSettings setAuthenticationScheme(String scheme)

### getAuthenticationScheme

public final String getAuthenticationScheme()

### toString

public String toString()

Overrides:
  `toString` in class `Object`